Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.web.util.BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Enclosing class:
  BoundedCharsAsEncodedBytesCounter

     class BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter

extends Writer

Field Summary
`(package private) char[]` | `writeBuffer`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter()`

Method Summary
`Writer` | `append(CharSequence csq)`
`Writer` | `append(CharSequence csq, int start, int end)`
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] b, int off, int len)`
`void` | `write(int b)`
`void` | `write(String str)`
`void` | `write(String str, int off, int len)`

Methods inherited from class java.io.Writer
`append, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writeBuffer

    char[] writeBuffer

Constructor Detail

### BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter

    BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter()

Method Detail

### write

    public void write(char[] b,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### append

    public Writer append(CharSequence csq,
                         int start,
                         int end)
                  throws IOException

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`
  Throws:
    `IOException`

### append

    public Writer append(CharSequence csq)
                  throws IOException

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project